import React from "react";
import styles from "./SearchHeader.module.css";
import { Header } from "@/components/Layout/Card/Header";
import { Search } from "@/components/Base/Form/search/Search";
import { Icons } from "@/components/Base/Icons/Icons";
export const SearchHeader = ({ title, placeholder }) => {
  return (
    <div className={styles.container}>
      <span className={styles.newspaper}>
        <Icons name="newspaper" />
      </span>
      <span>
        <Header title={title} />
      </span>
      <span className={styles.input}>
        <Search placeholder={placeholder} />
      </span>
      <span>
        <Icons name="moon" size="90" />
      </span>
    </div>
  );
};
