import React from "react";
import { Card } from "@/components/Top-level/Card/Card";
import style from "./BlogList.module.css";
export const BlogList = ({ blogs }) => {
  if (!blogs || blogs.length === 0) return <h2>No Blogs available</h2>;
  return (
    <div className={style.blogcontainer}>
      {blogs.map((blog, index) => (
        <Card
          key={index}
          title={blog.title}
          description={blog.description}
          image={blog.image}
          img={blog.img}
          chip={blog.chip}
        />
      ))}
    </div>
  );
};
