import React from "react";
import Image from "next/image";
import img_1 from "../../../public/images/lifestyle1.jpg";
import a1 from "../../../public/images/a1.jpg";
import styles from "./Card.module.css";
import { Icons } from "@/components/Base/Icons/Icons";
export const Card = ({ title, description, image, chip, img, date, time }) => {
  return (
    <div className={styles.container}>
      <Image
        src={image || img_1}
        height={180}
        width={320}
        alt="Lifestyle image"
        className={styles.img}
      />
      <div className={styles.block}>
        <h4 className={styles.title}>{title}</h4>
        <p className={styles.text}>{description}</p>{" "}
      </div>
      <div className={styles.chip}>
        <Image
          src={img || a1}
          alt="Person"
          height={36}
          width={36}
          style={{ borderRadius: "50%" }}
        />
        <h5 className={styles.inpt}>{chip}</h5>
        <p>
          {date}
          <Icons name="clock" />
          {time}
        </p>
      </div>
    </div>
  );
};
